# curs_legacy 3x 2025-02-15 ncurses 6.5 Library calls

    curs_legacy(3x)                  Library calls                 curs_legacy(3x)

## NAME

           getattrs,   getbegx,   getbegy,  getcurx,  getcury,  getmaxx,  getmaxy,
           getparx,  getpary  -  get  curses  cursor  and  window  coordinates  or
           attributes (legacy)

## SYNOPSIS

           #include <curses.h>

           int getattrs(const WINDOW *win);

           int getbegx(const WINDOW *win);
           int getbegy(const WINDOW *win);

           int getcurx(const WINDOW *win);
           int getcury(const WINDOW *win);

           int getmaxx(const WINDOW *win);
           int getmaxy(const WINDOW *win);

           int getparx(const WINDOW *win);
           int getpary(const WINDOW *win);

## DESCRIPTION

           These  legacy  functions  are  simpler  to  use  than the X/Open curses
           functions:

           o   The getattrs function returns the same attribute data as wattr_get.

               However, getattrs returns an integer  (actually  a  chtype),  while
               wattr_get  returns  the current color pair in a separate parameter.
               In the wide-character library configuration, color  pairs  may  not
               fit into a chtype, so wattr_get is the only way to obtain the color
               information.

               Because getattrs returns the attributes in a single  parameter,  it
               would  not  be possible for an application to distinguish that from
               ERR (a -1).  If the window  parameter  is  null,  getattrs  returns
               A_NORMAL (zero).

           o   The getbegy and getbegx functions return the same data as getbegyx.

           o   The getcury and getcurx functions return the same data as getyx.

           o   The getmaxy and getmaxx functions return the same data as getmaxyx.

           o   The getpary and getparx functions return the same data as getparyx.

## RETURN VALUE

           Except  as  noted,  these  functions  return  an integer, or ERR if the
           window parameter is null.

## PORTABILITY

           These  functions  were  supported  on  Version  7,  BSD  or  System   V
           implementations.   None  of  those  implementations  checked the window
           parameter.

           The getattrs function and  macro  are  defined  to  return  a  (signed)
           integer  for  compatibility  with  those  implementations  although  an
           unsigned type would have been more appropriate.

## SEE ALSO

           curses(3x), curs_getyx(3x), curs_opaque(3x)

    ncurses 6.5                       2025-02-15                   curs_legacy(3x)